Subject: Re: [arch-d] Centralization or diversity

From: Andrew Campling <[email-masked]>
Date: Wed, 13 Nov 2019 06:57:31 +0000

"Martin Thomson" <[email-masked]<mailto:[email-masked]>> wrote on Tue, 05 November 2019 22:58:

      The draft specifically calls out the notion of a single point of failure being a problem.  But my experience with centralized services is that they aren't centralized in the fault tolerance sense.  If I look at the big services, that scale is only achieved with careful distributed systems design.  Name any modern service of even modest scale and you generally find excellent fault tolerance.

I thought that the document made it quite clear that it wasn't specifically referring to a single point of failure in a technical, fault tolerance sense.  In fact it made this clear by, for example, also highlighting issues such as "administrative or governance system can become weak through too much power or imagined power concentratred in one place".

      Finally, I don't like the emphasis on DNS in this document.  It only serves to sensationalize.

I thought that the reference to DNS was particularly helpful given one of the potential side-effects of the push behind DoH could be to centralise what is currently a highly decentralised system.  I agree with the comment in section 4 that "where such centralised points are created, they will eventually fail, or they will be misused through surveillance or legal actions regardless of the best efforts of the Internet community.  The best defense to data leak is to avoid creating that data store to begin with".

In addition, noting the references to RFC 1958 and RFC3935, I believe that it would be prudent for RFC8484 to be reviewed accordingly.

Andrew